body {
    background-color: aliceblue;
    font-family: "Montserrat", serif;
    animation: cambioColor linear both;
    animation-timeline: scroll(root block);
    animation-range: 0 500px;
}

@keyframes cambioColor{
    to{
        background-color: black;
        color: #fff;
    }
}

/* SECCION PRESENTACION */

#nombre{
    font-style: italic;
    margin: 20px;
}

nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#contenedorDeBotones{
    display: flex;
    gap: 5px;
}

button{
    width: 100px;
    height: 40px;
    background: none;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    transition: all 0.3s ease;
}

button:hover{
    border: none;
    transition: all 0.3s ease;
}

.atajo{
    text-decoration: none;
    color: black;
    background: none;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

#fotoperfil{
    width: 200px;
}

#presentacion {
    display: flex;
    margin: 100px;
    box-shadow: 0 0.1rem 1rem rgb(104, 104, 104);
}

#presentacion p{
    padding: 2rem;
    margin: 0;
    font-size: 2.5vw;
    background-color: rgb(227, 227, 227);
}

.titulo {
    text-align: center;
    font-style: italic;
    margin-top: 100px;
    font-weight: 300;
}

/* SECCION PROYECTOS */

#seccionProyectos {
    margin: 100px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 8px;
}

.proyectos{
    border-radius: 10px;
    position: relative;
    display: flex;
    cursor: pointer;
    animation: popup linear both;
    animation-timeline: view();
    animation-range: entry 20% cover 30%;
    overflow: hidden;
}

.proyectos p{
    display: block;
    position: absolute;
    top: 0px;
    margin: 0;
    padding: 1rem;
    height: 100%;
    z-index: 2;
    background-color: black;
    opacity: 0;
    border-radius: 10px;
    transition: opacity 0.3s ease;
}

.proyectos:hover > p{
    opacity: 90%;
    transition: opacity 0.3s ease;
}

.enlaceResponsive{
    display: none;
    color: aqua;
}

.fotosproyectos{
    width: 100%;
    height: 100%;
    border-radius: 10px;
}

#Garagecompleto{
    grid-column: span 2 / span 2;
    grid-row: span 2 / span 2;
    font-size: 30px;
}

#Pedidos{
    grid-row-start: 3;
    font-size: 18px;
}

#Recepcionador{
    grid-row-start: 3;
    font-size: 18px;
}

#AppGaragecompleto{
    grid-row: span 3 / span 3;
    grid-column-start: 3;
    font-size: 30px;
}

@keyframes popup{
    from{
        opacity: 0;
        translate: 0 100px;
        scale: .5;
    }
    to{
        opacity: 1;
        translate: 0 0;
        scale: 1;
    }
}

/* SECCION CONOCIMIENTOS */

#seccionConocimientos{
    margin: 100px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    justify-items: center;
    gap: 50px;
}

.conocimientos{
    background-color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 150px;
    border-radius: 10px;
    animation: popup linear both;
    animation-timeline: view();
    animation-range: entry 20% cover 30%;
}

/* SECCION CONTACTO */

#seccionContacto{
    margin: 100px;
    display: flex;
    justify-content: space-evenly;
}

.contactos{
    background-color: black;
    width: 30%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 150px;
    border-radius: 10px;
    animation: popup linear both;
    animation-timeline: view();
    animation-range: entry 20% cover 30%;
    cursor: pointer;
}

.enlaceExterno{
    text-decoration: none;
    background: none;
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 10;
}

/* BOTON IR ARRIBA */

#botonIrArriba{
    background-color: #fff;
    color: black;
    position: fixed;
    right: 35px;
    bottom: 20px;
    border-radius: 50%;
    border: solid;
    border-width: 1px;
    border-color: black;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#subir{
    text-decoration: none;
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
}

#subir:visited{
    color: black;
}

#subir:active{
    color: black;
}

/* MEDIA QUERIES */
@media (width < 1120px) {

    #Garagecompleto{
        font-size: 25px;
    }
    #AppGaragecompleto{
        font-size: 25px;
    }
    #Pedidos{
        font-size: 15px;
    }
    #Recepcionador{
        font-size: 15px;
    }
}

@media (width < 1030px) {
    
    .contactos{
        font-size: 80px;
    }
    footer{
        height: 50px;
    }
}

@media (width < 980px) {

    #Garagecompleto{
        font-size: 20px;
    }
    #AppGaragecompleto{
        font-size: 20px;
    }
    #Pedidos{
        font-size: 12px;
    }
    #Recepcionador{
        font-size: 12px;
    }
}

@media (width < 860px) {
    #seccionProyectos{
        display: block;
    }
    .proyectos{
        margin-bottom: 10px;
        display: block;
        cursor: default;
    }
    .proyectos p{
        font-size: 15px;
        position: relative;
        opacity: 1;
        margin-bottom: 30px;
    }

    .proyectos:hover p{
        opacity: 1;
    }

    .enlaceResponsive{
        display: inline;
    }
    #seccionConocimientos{
        grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    }
    .contactos{
        font-size: 60px;
    }
}

@media (width < 670px){
    #presentacion{
        display: block;
        margin: 10%;
        background-color: black;
    }
    #presentacion p{
        font-size: 20px;
        color: #fff;
        background-color: black;
    }
    #fotoperfil{
        width: 100%;
    }
    #seccionConocimientos{
        grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
    }
    .conocimientos{
        font-size: 80px;
    }
}

@media (width < 630px) {
    #seccionProyectos{
        display: block;
        margin: 10%;
    }
    #seccionContacto{
        margin: 10%;
    }
    footer{
        height: 200px;
    }
}

@media (width < 502px) {
    nav{
        flex-wrap: wrap;
        justify-content: center;
    }
    #presentacion p{
        font-size: 15px;
        padding: 1rem;
    }
    #seccionConocimientos{
        grid-template-columns: repeat(auto-fill, minmax(50px, 1fr));
    }
    .conocimientos{
        font-size: 50px;
    }
}